#!/bin/sh
#
#  This file is part of Siena, a wide-area event notification system.
#  See http://www.cs.colorado.edu/serl/siena/
#
#  Author: Antonio Carzaniga <carzanig@cs.colorado.edu>
#  See the file AUTHORS for full details. 
#
#  Copyright (C) 1998-2002 University of Colorado
#
#  This program is free software; you can redistribute it and/or
#  modify it under the terms of the GNU General Public License
#  as published by the Free Software Foundation; either version 2
#  of the License, or (at your option) any later version.
#
#  This program is distributed in the hope that it will be useful,
#  but WITHOUT ANY WARRANTY; without even the implied warranty of
#  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
#  GNU General Public License for more details.
#
#  You should have received a copy of the GNU General Public License
#  along with this program; if not, write to the Free Software
#  Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA 02111-1307,
#  USA, or send email to serl@cs.colorado.edu.
#
#
# $Id: test_gt.sh,v 1.3 2002/09/30 04:51:49 carzanig Exp $
#
. ./config.sh
#
test_description "Testing greater-than constraints with integers..."
#
cleanup_files='test.out test.expected test.log'
#
$SFF <<EOF > test.out
//
// first constraint:
//
ifconfig 4 x > 7
//
select x = 200
select x = 8
select x = 7
select x = 6
select x = 0
select x = -1
//
ifconfig 3 x > 5
//
select x = 8
select x = 7
select x = 6
select x = 5
select x = 4
//
ifconfig 1 x > 2
//
select x = 8
select x = 7
select x = 6
select x = 5
select x = 4
select x = 3
select x = 2
select x = 1
select x = 0
//
ifconfig 2 x > 3
ifconfig 5 x > 11
ifconfig 6 x > 13
ifconfig 7 x > 17
ifconfig 8 x > 19
//
select x = 100
select x = 20
select x = 19
select x = 18
select x = 17
select x = 8
select x = 7
select x = 6
select x = 5
select x = 4
select x = 3
select x = 2
select x = 0
//
EOF
#
cat <<EOF > test.expected
-> 4
-> 4
->
->
->
->
-> 3 4
-> 3
-> 3
->
->
-> 1 3 4
-> 1 3
-> 1 3
-> 1
-> 1
-> 1
->
->
->
-> 1 2 3 4 5 6 7 8
-> 1 2 3 4 5 6 7 8
-> 1 2 3 4 5 6 7
-> 1 2 3 4 5 6 7
-> 1 2 3 4 5 6
-> 1 2 3 4
-> 1 2 3
-> 1 2 3
-> 1 2
-> 1 2
-> 1
->
->
EOF
sleep 1
if diff test.out test.expected
then
    test_passed
else
    test_failed 'see test.out, test.expected, and test.log for detail'
fi
