#!/bin/sh
#
#  This file is part of Siena, a wide-area event notification system.
#  See http://www.cs.colorado.edu/serl/siena/
#
#  Author: Antonio Carzaniga <carzanig@cs.colorado.edu>
#  See the file AUTHORS for full details. 
#
#  Copyright (C) 1998-2002 University of Colorado
#
#  This program is free software; you can redistribute it and/or
#  modify it under the terms of the GNU General Public License
#  as published by the Free Software Foundation; either version 2
#  of the License, or (at your option) any later version.
#
#  This program is distributed in the hope that it will be useful,
#  but WITHOUT ANY WARRANTY; without even the implied warranty of
#  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
#  GNU General Public License for more details.
#
#  You should have received a copy of the GNU General Public License
#  along with this program; if not, write to the Free Software
#  Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA 02111-1307,
#  USA, or send email to serl@cs.colorado.edu.
#
#
# $Id: test_strings.sh,v 1.2 2002/09/30 04:51:50 carzanig Exp $
#
. ./config.sh
#
test_description "Testing string constraints..."
#
cleanup_files='test.out test.expected test.log'
#
$SFF <<EOF > test.out
//
ifconfig 10 name =* "anto"
ifconfig 11 name = "abbagnale"
ifconfig 12 name =* "abba"
ifconfig 13 name = "abba"
ifconfig 14 name ** "bb"
ifconfig 15 name ** "ba"
ifconfig 16 name *= "dante"
ifconfig 17 name *= "onda"
ifconfig 18 name ** "onda"
ifconfig 20 name < "xxx" 
ifconfig 21 name > "aaa" 
ifconfig 22 name > "anna" 
ifconfig 23 name > "aaabc" 
ifconfig 24 name > "aaabba" 
ifconfig 25 name < "bravo" 
//
select name="antonio"
select name="abbagnale"
select name="abba"
select name="babba"
select name="barbara"
select name="abbondante"
select name="abbonda"
select name="banto"
select name="aaa"
select name="aaab"
select name="aab"
select name="bbb"
select name="ccc"
select name="zzz"
select name="a"
//
EOF
cat <<EOF > test.expected
-> 10 20 21 22 23 24 25
-> 11 12 14 15 20 21 23 24 25
-> 12 13 14 15 20 21 23 24 25
-> 14 15 20 21 22 23 24 25
-> 15 20 21 22 23 24 25
-> 14 16 18 20 21 23 24 25
-> 14 17 18 20 21 23 24 25
-> 15 20 21 22 23 24 25
-> 20 25
-> 20 21 25
-> 20 21 25
-> 14 20 21 22 23 24 25
-> 20 21 22 23 24
-> 21 22 23 24
-> 20 25
EOF
sleep 1
if diff test.out test.expected
then
    test_passed
else
    test_failed 'see test.out, test.expected, and test.log for detail'
fi
